package cn.wisenergy.chnmuseum.party.model;

import cn.wisenergy.chnmuseum.party.common.validator.groups.Add;
import cn.wisenergy.chnmuseum.party.common.validator.groups.Update;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 学习内容临时
 * </p>
 *
 * @author Danny Lee
 * @since 2021-04-17
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@TableName("learning_content_tmp")
@ApiModel(value = "学习内容临时", description = "学习内容临时")
public class LearningContentTmp implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("学习内容ID")
    @TableId(value = "id", type = IdType.INPUT)
    @NotNull(message = "学习内容ID不能为空", groups = {Update.class})
    private String id;

    @TableField("data")
    @NotBlank(message = "不能为空", groups = {Add.class, Update.class})
    private String data;

}
